ShoutCondition Class Reference

Shout option condition. More...

`#include <ql/methods/finitedifferences/shoutcondition.hpp>`

Inherits CurveDependentStepCondition< array_type >.

## Public Member Functions

| ShoutCondition (Option::Type type, Real strike, Time resTime, Rate rate)
| ShoutCondition (const Array &intrinsicValues, Time resTime, Rate rate)
void | applyTo (Array &a, Time t) const

## Detailed Description

Shout option condition.

A shout option is an option where the holder has the right to lock in a minimum value for the payoff at one (shout) time during the option's life. The minimum value is the option's intrinsic value at the shout time.